// @generated by protobuf-ts 2.4.0 with parameter output_javascript,// @generated from protobuf file "Math/Math.proto" (package "math", syntax proto3),// tslint:disable
import type { RpcTransport } from "@protobuf-ts/runtime-rpc";
import type { ServiceInfo } from "@protobuf-ts/runtime-rpc";
import type { FactorialRes } from "./Math";
import type { FactorialArg } from "./Math";
import type { SumRes } from "./Math";
import type { SumArg } from "./Math";
import type { UnaryCall } from "@protobuf-ts/runtime-rpc";
import type { RpcOptions } from "@protobuf-ts/runtime-rpc";
/**
 * @generated from protobuf service math.MathSvc
 */
export interface IMathSvcClient {
    /**
     * @generated from protobuf rpc: Sum(math.SumArg) returns (math.SumRes);
     */
    sum(input: SumArg, options?: RpcOptions): UnaryCall<SumArg, SumRes>;
    /**
     * @generated from protobuf rpc: Factorial(math.FactorialArg) returns (math.FactorialRes);
     */
    factorial(input: FactorialArg, options?: RpcOptions): UnaryCall<FactorialArg, FactorialRes>;
}
/**
 * @generated from protobuf service math.MathSvc
 */
export declare class MathSvcClient implements IMathSvcClient, ServiceInfo {
    private readonly _transport;
    typeName: any;
    methods: any;
    options: any;
    constructor(_transport: RpcTransport);
    /**
     * @generated from protobuf rpc: Sum(math.SumArg) returns (math.SumRes);
     */
    sum(input: SumArg, options?: RpcOptions): UnaryCall<SumArg, SumRes>;
    /**
     * @generated from protobuf rpc: Factorial(math.FactorialArg) returns (math.FactorialRes);
     */
    factorial(input: FactorialArg, options?: RpcOptions): UnaryCall<FactorialArg, FactorialRes>;
}
